package gui;

/**
 * This code is provided for use in the course SWE-622, Distributed Software
 * Systems. Feel free to use and change this code, but the author is not liable
 * for any such use or misuse.
 * 
 * Defines the methods to log buying and selling operations.
 * 
 * @author jpsousa
 * @date Sep 27, 2006
 */
public interface IOperationsConsole {
	/**
	 * For using in the operations parameter in the methods in this interface
	 */
	public static final String __BUY = "buy";

	/**
	 * For using in the operations parameter in the methods in this interface
	 */
	public static final String __SELL = "sell";

	/**
	 * @param exchange
	 * @param op
	 * @param product
	 * @param qt
	 * @param price
	 * @param stale
	 *            indicates whether the operation is being logged with a delay
	 *            that is longer than normally acceptable
	 */
	public void logOperation(String exchange, String op, String product,
			String qt, String price, boolean stale);

	/**
	 * 
	 */
	public void clearLog();
}
