package gui;

/**
 * This code is provided for use in the course SWE-622, Distributed Software
 * Systems. Feel free to use and change this code, but the author is not liable
 * for any such use or misuse.
 * 
 * Defines the callacks that a trader will receive, as a consequence of the user
 * triggering actions in the user interface.
 * 
 * @author jpsousa
 * @date Sep 20, 2006
 */
public interface ITrader {

	/**
	 * Called when the user issues a buying order
	 * 
	 * @param exchange
	 * @param product
	 * @param qt
	 */
	void buy(String exchange, String product, String qt);

	/**
	 * Called when the user issues a selling order
	 * 
	 * @param exchange
	 * @param product
	 * @param price
	 */
	void sell(String exchange, String product, String price);
}
