package gui;

import java.awt.event.WindowEvent;
import java.awt.event.WindowListener;

import javax.swing.JFrame;
import javax.swing.JOptionPane;

/**
 * This code is provided for use in the course SWE-622, Distributed Software
 * Systems. Feel free to use and change this code, but the author is not liable
 * for any such use or misuse.
 * 
 * This class implements a listener for window closing events: it then displays
 * a confirmation dialog and, if the user confirms, if terminates the process by
 * calling System.exit(0). Does nothing, otherwise.
 * 
 * @author jpsousa
 * @date Sep 21, 2006
 */
class WindowClosingListener implements WindowListener {
	private JFrame _parent;

	/**
	 * @param parent
	 *            the window being closed
	 */
	WindowClosingListener(JFrame parent) {
		_parent = parent;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.awt.event.WindowListener#windowActivated(java.awt.event.WindowEvent)
	 */
	public void windowActivated(WindowEvent arg0) {
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.awt.event.WindowListener#windowClosed(java.awt.event.WindowEvent)
	 */
	public void windowClosed(WindowEvent arg0) {
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.awt.event.WindowListener#windowClosing(java.awt.event.WindowEvent)
	 */
	public void windowClosing(WindowEvent arg0) {
		int opt = JOptionPane.showConfirmDialog(_parent,
				"Would you like to terminate the process?", "Closing the "
						+ _parent.getTitle(), JOptionPane.YES_NO_OPTION);
		if (opt == JOptionPane.YES_OPTION) {
			System.exit(0);
		}
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.awt.event.WindowListener#windowDeactivated(java.awt.event.WindowEvent)
	 */
	public void windowDeactivated(WindowEvent arg0) {
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.awt.event.WindowListener#windowDeiconified(java.awt.event.WindowEvent)
	 */
	public void windowDeiconified(WindowEvent arg0) {
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.awt.event.WindowListener#windowIconified(java.awt.event.WindowEvent)
	 */
	public void windowIconified(WindowEvent arg0) {
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.awt.event.WindowListener#windowOpened(java.awt.event.WindowEvent)
	 */
	public void windowOpened(WindowEvent arg0) {
	}
}